## binpac 0.43

=== debian/changelog ===
binpac (0.43-1) unstable; urgency=medium

  * New upstream version
  * Fixes CVE-2014-9586

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Feb 2015 20:34:56 +0100

binpac (0.42-1) unstable; urgency=low

  * Initial release (Closes: #752792)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Nov 2014 23:56:18 +0100

## binpac 0.44

=== CMakeLists.txt ===
project(BinPAC C CXX)
cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" BINPAC_VERSION LIMIT_COUNT 1)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(FLEX)
FindRequiredPackage(BISON)

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

########################################################################
## System Introspection

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########################################################################
## Recurse on sub-directories

add_subdirectory(lib)
add_subdirectory(src)

########################################################################
## Build Summary

if (BinPAC_SKIP_INSTALL)
    set(binpac_install_summary "Install skipped")
else ()
    set(binpac_install_summary "${CMAKE_INSTALL_PREFIX}")
endif ()

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n==================|  BinPAC Build Summary  |===================="
    "\n"
    "\nInstall prefix:    ${binpac_install_summary}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCXX:               ${CMAKE_CXX_COMPILER}"
    "\nCXXFLAGS:          ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_CXX_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=`basename \`git config --get remote.origin.url | sed 's/^[^:]*://g'\``
VERSION_FULL=$(REPO)-`cat VERSION`
VERSION_MIN=$(REPO)-`cat VERSION`-minimal
HAVE_MODULES=git submodule | grep -v cmake >/dev/null

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@rm -rf $(VERSION_FULL) $(VERSION_FULL).tgz
	@rm -rf $(VERSION_MIN) $(VERSION_MIN).tgz
	@git clone --recursive . $(VERSION_FULL) >/dev/null 2>&1
	@find $(VERSION_FULL) -name .git\* | xargs rm -rf
	@tar -czf $(VERSION_FULL).tgz $(VERSION_FULL) && echo Package: $(VERSION_FULL).tgz && rm -rf $(VERSION_FULL)
	@$(HAVE_MODULES) && git clone . $(VERSION_MIN) >/dev/null 2>&1 || exit 0
	@$(HAVE_MODULES) && (cd $(VERSION_MIN) && git submodule update --init cmake >/dev/null 2>&1) || exit 0
	@$(HAVE_MODULES) && find $(VERSION_MIN) -name .git\* | xargs rm -rf || exit 0
	@$(HAVE_MODULES) && tar -czf $(VERSION_MIN).tgz $(VERSION_MIN) && echo Package: $(VERSION_MIN).tgz && rm -rf $(VERSION_MIN) || exit 0

distclean:
	rm -rf $(BUILD)

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== lib/CMakeLists.txt ===
include(TestBigEndian)
test_big_endian(HOST_BIGENDIAN)

include(CheckTypeSize)
check_type_size("unsigned int" SIZEOF_UNSIGNED_INT)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/binpac.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/binpac.h)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})
set(binpac_headers
    binpac.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/binpac.h
    binpac_analyzer.h
    binpac_buffer.h
    binpac_bytestring.h
    binpac_exception.h
    binpac_regex.h
)

set(binpac_lib_SRCS
    binpac_buffer.cc
    binpac_bytestring.cc
    binpac_regex.cc
    ${binpac_headers}
)

add_library(binpac_lib STATIC ${binpac_lib_SRCS})

set_target_properties(binpac_lib PROPERTIES OUTPUT_NAME binpac)

if (NOT BinPAC_SKIP_INSTALL)
    install(TARGETS binpac_lib DESTINATION lib)
    install(FILES
                ${binpac_headers}
            DESTINATION
                include
    )
endif ()

# This is set to assist superprojects that want to build BinPac
# from source and rely on it as a target
set(BinPAC_LIBRARY binpac_lib
    CACHE STRING "BinPAC static library" FORCE
)

set(BinPAC_INCLUDE_DIR
    ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
    CACHE STRING "BinPAC header directories" FORCE
)

=== src/CMakeLists.txt ===
bison_target(PACParser pac_parse.yy ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.cc
             HEADER ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.h
             VERBOSE ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.output
             COMPILE_FLAGS "--debug")
flex_target(PACScanner pac_scan.ll ${CMAKE_CURRENT_BINARY_DIR}/pac_scan.cc)
add_flex_bison_dependency(PACScanner PACParser)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

set(binpac_SRCS
    ${BISON_PACParser_INPUT}
    ${FLEX_PACScanner_INPUT}
    ${BISON_PACParser_OUTPUTS}
    ${FLEX_PACScanner_OUTPUTS}
    pac_action.cc
    pac_analyzer.cc
    pac_array.cc
    pac_attr.cc
    pac_btype.cc
    pac_case.cc
    pac_conn.cc
    pac_context.cc
    pac_cstr.cc
    pac_datadep.cc
    pac_dataptr.cc
    pac_dataunit.cc
    pac_decl.cc
    pac_embedded.cc
    pac_enum.cc
    pac_expr.cc
    pac_exttype.cc
    pac_field.cc
    pac_flow.cc
    pac_func.cc
    pac_id.cc
    pac_inputbuf.cc
    pac_let.cc
    pac_param.cc
    pac_paramtype.cc
    pac_primitive.cc
    pac_record.cc
    pac_redef.cc
    pac_regex.cc
    pac_state.cc
    pac_strtype.cc
    pac_type.cc
    pac_typedecl.cc
    pac_withinput.cc
    pac_output.cc
    pac_utils.cc
    pac_exception.cc
    pac_main.cc
    pac_action.h
    pac_analyzer.h
    pac_array.h
    pac_attr.h
    pac_btype.h
    pac_case.h
    pac_cclass.h
    pac_common.h
    pac_conn.h
    pac_context.h
    pac_cstr.h
    pac_ctype.h
    pac_datadep.h
    pac_dataptr.h
    pac_dataunit.h
    pac_dbg.h
    pac_decl-inl.h
    pac_decl.h
    pac_embedded.h
    pac_enum.h
    pac_exception.h
    pac_expr.h
    pac_exttype.h
    pac_field.h
    pac_flow.h
    pac_func.h
    pac_id.h
    pac_inputbuf.h
    pac_let.h
    pac_number.h
    pac_output.h
    pac_param.h
    pac_paramtype.h
    pac_primitive.h
    pac_record.h
    pac_redef.h
    pac_regex.h
    pac_state.h
    pac_strtype.h
    pac_type.h
    pac_typedecl.h
    pac_utils.h
    pac_varfield.h
    pac_withinput.h
)

add_executable(binpac ${binpac_SRCS})

if (NOT BinPAC_SKIP_INSTALL)
    install(TARGETS binpac DESTINATION bin)
endif ()

# This is set to assist superprojects that want to build BinPac
# from source and rely on it as a target
set(BinPAC_EXE binpac
    CACHE STRING "BinPAC executable" FORCE)

=== debian/changelog ===
binpac (0.44-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2015 20:57:30 +0200

=== debian/control ===
Source: binpac
Section: devel
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.6.3),
 flex,
 bison,
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary

Package: binpac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high level protocol parser language
 BinPAC is a high level language for describing protocol parsers and
 generates C++ code. It is currently maintained and distributed with
 the Bro Network Security Monitor distribution, however, the generated
 parsers may be used with other programs besides Bro.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true

=== debian/watch ===
version=3
https://www.bro.org/download/index.html .*/binpac-(.*)\.tar\.gz

## binpac 0.46

=== debian/changelog ===
binpac (0.46-1) unstable; urgency=medium

  * New upstream version 0.46

 -- Hilko Bengen <bengen@debian.org>  Sun, 20 Nov 2016 22:04:45 +0100

binpac (0.44-3) unstable; urgency=medium

  * Revert "Build PIC binaries"

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Oct 2016 15:33:23 +0200

binpac (0.44-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Build PIC binaries (Closes: #837434)

  [ Hilko Bengen ]
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Sep 2016 22:40:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary

## binpac 0.47

=== debian/changelog ===
binpac (0.47-1) unstable; urgency=medium

  * New upstream version 0.47

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 14:08:47 +0200

## binpac 0.48

=== debian/changelog ===
binpac (0.48-1) unstable; urgency=medium

  * New upstream version 0.48
  * Bump Standards-Version, Debhelper compat level
  * Update VCS fields for salsa

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Feb 2018 15:26:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.bro.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary
+Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
+Vcs-Browser: https://salsa.debian.org/bro-team/binpac
 
 Package: binpac
 Architecture: any

## binpac 0.49

=== debian/changelog ===
binpac (0.49-1) unstable; urgency=medium

  * New upstream version 0.49
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Jun 2018 15:22:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac

## binpac 0.50

=== debian/changelog ===
binpac (0.50-1) unstable; urgency=medium

  * New upstream version 0.50
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Sep 2018 15:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac

## binpac 0.51

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,12 +36,6 @@
 ########################################################################
 ## Build Summary
 
-if (BinPAC_SKIP_INSTALL)
-    set(binpac_install_summary "Install skipped")
-else ()
-    set(binpac_install_summary "${CMAKE_INSTALL_PREFIX}")
-endif ()
-
 if (CMAKE_BUILD_TYPE)
     string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
 endif ()
@@ -49,7 +43,7 @@
 message(
     "\n==================|  BinPAC Build Summary  |===================="
     "\n"
-    "\nInstall prefix:    ${binpac_install_summary}"
+    "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
     "\nDebug mode:        ${ENABLE_DEBUG}"
     "\n"
     "\nCC:                ${CMAKE_C_COMPILER}"

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR})
 set(binpac_headers
-    binpac.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/binpac.h
     binpac_analyzer.h
     binpac_buffer.h
@@ -30,13 +29,13 @@
 
 set_target_properties(binpac_lib PROPERTIES OUTPUT_NAME binpac)
 
-if (NOT BinPAC_SKIP_INSTALL)
-    install(TARGETS binpac_lib DESTINATION lib)
-    install(FILES
-                ${binpac_headers}
-            DESTINATION
-                include
-    )
+install(TARGETS binpac_lib DESTINATION lib)
+
+if ( BRO_ROOT_DIR )
+    # Installed in binpac subdir just for organization purposes.
+    install(FILES ${binpac_headers} DESTINATION include/binpac)
+else ()
+    install(FILES ${binpac_headers} DESTINATION include)
 endif ()
 
 # This is set to assist superprojects that want to build BinPac

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
              COMPILE_FLAGS "--debug")
 flex_target(PACScanner pac_scan.ll ${CMAKE_CURRENT_BINARY_DIR}/pac_scan.cc)
 add_flex_bison_dependency(PACScanner PACParser)
+set_property(SOURCE pac_scan.cc APPEND_STRING PROPERTY COMPILE_FLAGS "-Wno-sign-compare")
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR})
@@ -99,11 +100,9 @@
 
 add_executable(binpac ${binpac_SRCS})
 
-if (NOT BinPAC_SKIP_INSTALL)
-    install(TARGETS binpac DESTINATION bin)
-endif ()
+install(TARGETS binpac DESTINATION bin)
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_EXE binpac
+set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/binpac
     CACHE STRING "BinPAC executable" FORCE)

=== debian/changelog ===
binpac (0.51-1) unstable; urgency=medium

  * New upstream version 0.51
  * Bump Debhelper compat level
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 18:08:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11),
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true

## binpac 0.54

=== debian/changelog ===
binpac (0.54-2) unstable; urgency=medium

  * Build static instead of shared library

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Sep 2019 22:51:08 +0200

binpac (0.54-1) unstable; urgency=medium

  * New upstream version 0.54
  * Update watch file, add upstream PGP key

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Sep 2019 15:39:09 +0200

## binpac 0.55

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -104,5 +104,5 @@
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/binpac
+set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/binpac
     CACHE STRING "BinPAC executable" FORCE)

=== debian/changelog ===
binpac (0.55-1) unstable; urgency=medium

  * New upstream version 0.55

 -- Hilko Bengen <bengen@debian.org>  Thu, 13 Feb 2020 16:50:11 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.zeek.org/downloads/ binpac-(.*)\.tar\.gz

## binpac 0.55.1

=== debian/changelog ===
binpac (0.55.1-1) unstable; urgency=medium

  * New upstream version 0.55.1
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Jun 2020 08:21:55 +0200

## binpac 0.56.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,26 @@
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(BinPAC C CXX)
-cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
 include(cmake/CommonCMakeConfig.cmake)
 
 file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" BINPAC_VERSION LIMIT_COUNT 1)
+string(REPLACE "." " " _version_numbers ${BINPAC_VERSION})
+separate_arguments(_version_numbers)
+list(GET _version_numbers 0 BINPAC_VERSION_MAJOR)
+list(GET _version_numbers 1 BINPAC_VERSION_MINOR)
+string(REGEX REPLACE "-[0-9]*$" "" BINPAC_VERSION_MINOR ${BINPAC_VERSION_MINOR})
+
+# The SO number shall increase only if binary interface changes.
+set(BINPAC_SOVERSION 0)
+
+set(ENABLE_SHARED true)
+
+if ( ENABLE_STATIC_ONLY )
+  set(ENABLE_STATIC true)
+  set(ENABLE_SHARED false)
+endif ()
+
+# Set default install paths
+include(GNUInstallDirs)
 
 ########################################################################
 ## Dependency Configuration
@@ -40,11 +58,27 @@
     string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
 endif ()
 
+macro(display test desc summary)
+  if ( ${test} )
+    set(${summary} ${desc})
+  else ()
+    set(${summary} no)
+  endif()
+endmacro()
+
+display(ENABLE_SHARED yes shared_summary)
+display(ENABLE_STATIC yes static_summary)
+
 message(
     "\n==================|  BinPAC Build Summary  |===================="
+    "\nVersion:           ${BINPAC_VERSION}"
+    "\nSO version:        ${BINPAC_SOVERSION}"
     "\n"
+    "\nBuild Type:        ${CMAKE_BUILD_TYPE}"
+    "\nDebug mode:        ${ENABLE_DEBUG}"
     "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
-    "\nDebug mode:        ${ENABLE_DEBUG}"
+    "\nShared libs:       ${shared_summary}"
+    "\nStatic libs:       ${static_summary}"
     "\n"
     "\nCC:                ${CMAKE_C_COMPILER}"
     "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"

=== debian/changelog ===
binpac (0.56.0-1) unstable; urgency=medium

  * New upstream version 0.56.0

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Sep 2020 21:43:47 +0200

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ binpac-(.*)\.tar\.gz

## binpac 0.58.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-bison_target(PACParser pac_parse.yy ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.cc
-             HEADER ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.h
-             VERBOSE ${CMAKE_CURRENT_BINARY_DIR}/pac_parse.output
+bison_target(PACParser pac_parse.yy ${BinPAC_BINARY_DIR}/src/pac_parse.cc
+	     HEADER ${BinPAC_BINARY_DIR}/src/pac_parse.h
+	     VERBOSE ${BinPAC_BINARY_DIR}/src/pac_parse.output
              COMPILE_FLAGS "--debug")
-flex_target(PACScanner pac_scan.ll ${CMAKE_CURRENT_BINARY_DIR}/pac_scan.cc)
+flex_target(PACScanner pac_scan.ll ${BinPAC_BINARY_DIR}/pac_scan.cc)
 add_flex_bison_dependency(PACScanner PACParser)
 set_property(SOURCE pac_scan.cc APPEND_STRING PROPERTY COMPILE_FLAGS "-Wno-sign-compare")
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}
-                    ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${PROJECT_SOURCE_DIR}/src
+                    ${PROJECT_BINARY_DIR}/src)
 
 set(binpac_SRCS
     ${BISON_PACParser_INPUT}
@@ -104,5 +104,5 @@
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/binpac
+set(BinPAC_EXE binpac
     CACHE STRING "BinPAC executable" FORCE)

=== debian/changelog ===
binpac (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0
  * Bump Debhelper compat level, Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 19:36:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true
+	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true -DENABLE_STATIC_ONLY=1

## binpac 0.59.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 project(BinPAC C CXX)
 include(cmake/CommonCMakeConfig.cmake)
 
@@ -40,10 +40,10 @@
 ########################################################################
 ## System Introspection
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
-               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(${PROJECT_SOURCE_DIR}/config.h.in
+               ${PROJECT_BINARY_DIR}/config.h)
 
-include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(BEFORE ${PROJECT_BINARY_DIR})
 
 ########################################################################
 ## Recurse on sub-directories

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly.
#

BUILD=build
REPO=$$(cd $(CURDIR) && basename $$(git config --get remote.origin.url | sed 's/^[^:]*://g'))
VERSION_FULL=$(REPO)-$$(cd $(CURDIR) && cat VERSION)
VERSION_MIN=$(REPO)-$$(cd $(CURDIR) && cat VERSION)-minimal
GITDIR=$$(test -f .git && echo $$(cut -d" " -f2 .git) || echo .git)

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

# The COPYFILE_DISABLE flag used in the tar command below is an undocumented feature
# of the tar binary on macOS. It causes tar to avoid including any of the special files
# that macOS litters around the repository directory, such as ._ resource files, none
# of which should be included in the distribution packages.
dist:
	@test -e ../$(VERSION_FULL) && rm -ri ../$(VERSION_FULL) || true
	@cp -R . ../$(VERSION_FULL)
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do ((cd ../$(VERSION_FULL)/$$i && test -f .git && cp -R $(GITDIR) .gitnew && rm -f .git && mv .gitnew .git && sed -i.bak -e 's#[[:space:]]*worktree[[:space:]]*=[[:space:]]*.*##g' .git/config) || true); done
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do (cd ../$(VERSION_FULL)/$$i && git reset -q --hard && git clean -ffdxq); done
	@(cd ../$(VERSION_FULL) && find . -name \.git\* | xargs rm -rf)
	@(cd ../$(VERSION_FULL) && find . -name \.idea -type d | xargs rm -rf)
	@(cd ../$(VERSION_FULL) && find . -name build\* -type d | xargs rm -rf)
	@mv ../$(VERSION_FULL) .
	@COPYFILE_DISABLE=true tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
	@echo Package: $(VERSION_FULL).tar.gz
	@rm -rf $(VERSION_FULL)

distclean:
	rm -rf $(BUILD)

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -25,24 +25,36 @@
     ${binpac_headers}
 )
 
-add_library(binpac_lib STATIC ${binpac_lib_SRCS})
+if ( ENABLE_SHARED )
+  add_library(binpac_lib SHARED ${binpac_lib_SRCS})
+  set_target_properties(binpac_lib PROPERTIES
+                        SOVERSION ${BINPAC_SOVERSION}
+                        VERSION ${BINPAC_VERSION_MAJOR}.${BINPAC_VERSION_MINOR}
+                        MACOSX_RPATH true
+                        OUTPUT_NAME binpac)
+  install(TARGETS binpac_lib DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif ()
 
-set_target_properties(binpac_lib PROPERTIES OUTPUT_NAME binpac)
+if ( ENABLE_STATIC )
+  add_library(binpac_static STATIC ${binpac_lib_SRCS})
+  set_target_properties(binpac_static PROPERTIES OUTPUT_NAME binpac)
+  install(TARGETS binpac_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif ()
 
-install(TARGETS binpac_lib DESTINATION lib)
-
-if ( BRO_ROOT_DIR )
+if ( ZEEK_ROOT_DIR )
     # Installed in binpac subdir just for organization purposes.
-    install(FILES ${binpac_headers} DESTINATION include/binpac)
+    install(FILES ${binpac_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/binpac)
 else ()
-    install(FILES ${binpac_headers} DESTINATION include)
+    install(FILES ${binpac_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 endif ()
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_LIBRARY binpac_lib
-    CACHE STRING "BinPAC static library" FORCE
-)
+if ( ENABLE_SHARED )
+  set(BinPAC_LIBRARY binpac_lib CACHE STRING "BinPAC library" FORCE)
+else ()
+  set(BinPAC_LIBRARY binpac_static CACHE STRING "BinPAC library" FORCE)
+endif ()
 
 set(BinPAC_INCLUDE_DIR
     ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}

=== debian/changelog ===
binpac (0.59.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 23:01:43 +0000

binpac (0.59.0-1) unstable; urgency=medium

  * New upstream version 0.59.0

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 20:27:21 +0100
